ReactPhysics3D: reactphysics3d::DefaultLogger::Destination Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
reactphysics3d::DefaultLogger::Destination Class Referenceabstract

destination for the logs More...

`#include <include/reactphysics3d/utils/DefaultLogger.h>`

Inheritance diagram for reactphysics3d::DefaultLogger::Destination:

## Public Member Functions
| Destination (uint maxLevelFlag, Formatter *logFormatter)
| Constructor.
virtual | ~Destination ()
| Destructor.
virtual void | write (const time_t &time, const std::string &physicsWorldName, const std::string &message, Level level, Category category, const char *filename, int lineNumber)=0
| Write a message into the output stream.
virtual size_t | getSizeBytes () const =0
| Return the size in bytes of the type.

## Public Attributes
uint | maxLevelFlag
| Maximum Log level flag for this destination.
Formatter * | formatter
| Pointer to the formatter.

## Detailed Description

destination for the logs

## Member Function Documentation

## ◆ getSizeBytes()

virtual size_t reactphysics3d::DefaultLogger::Destination::getSizeBytes | ( |  | ) | const
| pure virtual

Return the size in bytes of the type.

Implemented in reactphysics3d::DefaultLogger::FileDestination, and reactphysics3d::DefaultLogger::StreamDestination.

## ◆ write()

virtual void reactphysics3d::DefaultLogger::Destination::write | ( | const time_t & | time,
|  | const std::string & | physicsWorldName,
|  | const std::string & | message,
|  | Level | level,
|  | Category | category,
|  | const char * | filename,
|  | int | lineNumber
| ) |  |
| pure virtual

Write a message into the output stream.

Implemented in reactphysics3d::DefaultLogger::FileDestination, and reactphysics3d::DefaultLogger::StreamDestination.

The documentation for this class was generated from the following file:

- include/reactphysics3d/utils/DefaultLogger.h